﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
	<%var lang = args["language_type"]; %>
	<div class="CabinetSelect" id="CabinetSelect">
		<div class="dropdown">
            <div class="input_select set_value" data-index="-1" id="selectCabinet">/*[ID_TIPS1]*/</div>
            <ul class="language yinc">
                <li><p rel="-1">/*[ID_TIPS2]*/</p></li>
            <%for(var item in data.CabinetBranch){ 
                 for(var item1 in data.CabinetBranch[item])
			    {
			        if(item1!="name")
			        {
			            if(data.CabinetBranch[item][item1][1].length > 0)
			            {%>
			            
			            <li><p rel="<%=item %>"><%=data.CabinetBranch[item]["name"]%></p></li>
			            
			            <%break;
			            }
			        }
			    }
            } %>
            </ul>
        </div>
		<div class="dropdown dropdownDu">
            <div class="input_select set_value" data-index="-1" id="selectDu">/*[ID_TIPS3]*/</div>
            <ul class="language yinc">
                 <li><p rel="-1">/*[ID_TIPS4]*/</a></li>
            </ul>
        </div>
	</div>
	<div class="CabinetBranchContent" id="CabinetBranchContent" template='{{
		var list = it.list;
		var CabinetData = it.data;
		for(var i=0,ilen=list.length; i<ilen; i++){ 
		var id = list[i][0]+"_"+list[i][1]+"_"+it.cabinet[0]+"_"+it.cabinet[1]+"_"+(i+1);
		var name = it.name+"."+(i+1);
		var type = -1;
		/*选判断是否在预分配状态*/
		if(CabinetData.Branch[id]) {
			/*disabled*/
			type = 0;
		};
		/*判断是否已经分配*/
		if((CabinetData.Allocation[id] && CabinetData.Allocation[id][1]===true) || list[i][5]==1){
			/*location*/
			type = 1;
		};
		/*判断是否已经被绑定*/
		if(list[i][9]==2){
			/*location*/
			type = 2;
		};
		}}
		<a draggable="false" class="{{if(type==0){ }}disabled{{}else if(type==1){}}allocation{{}else{}}set{{};}}" {{if(type==2){ }}style="display:none;"{{} }}id="{{=id}}" href="javascript:void(0);" name="{{=name}}"  title="{{=list[i][2]}}"><i class="doSelect"></i><span>{{=list[i][2]}}</span></a>{{ }; }}'>
		<%for(var item in data.CabinetBranch)
			{
			    for(var item1 in data.CabinetBranch[item])
			    {
			        if(item1!="name")
			        {
			            if(data.CabinetBranch[item][item1][1].length > 0)
			            {
			                %><span class="c" value="<%=item %>"><%=data.CabinetBranch[item]["name"]%></span><%break;
			            }
			        }
			    }
			}
			%>
	</div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>